2017-10-21 23:55 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002566OpenFOAM[All Projects] Bugpublic2017-05-31 16:42
Reportertomc 
Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version16.04
Product Versiondev 
Target VersionFixed in Version 
Summary0002566: running tutorial SandiaD_LTS in dev (20170521 and later) limits p between (1e5 and 1e5) in the result.
DescriptionWhile running tutorial SandiaD_LTS (with Allrun) it seems to be that the pressure is limited to 1e5 Pa after each iteration for p.

Also in the log.reactingFoam it can be seen that after each iteration for p, the text "pressureControl : p max/min .." appears. Each iteration step for p start with a residual=0.9999999 which is leading to a large number of iterations.

In the latest time step (5000) It looks in the residuals that the calulation is okay and that pmax/pmin is 100210.8 99993.7 but opening paraFoam for time step 5000 clearly shows p = 1e5 which is not a result of the calculation and might be misleading !
So,
The problem is;
- limit for p is min/max = 1e5 and the correction for p is executed also after the latest time step (see function pressureControl::limit in pressureControl.C)
- more iteration steps are necessary to bring the residual down.

I think I solved this problem by adding parameters
pMax 1.1e5
pMin 0.9e5

in fvSolution in PIMPLE



Steps To Reproduceinstall openFoam-dev (20170521 or later)
cp -r $FOAM_TUTORIAL/combustion/RAS/reactingFoam/SandiaD_LTS/ .
./Allrun
tail -50 log.reactingFoam

after the end of running;
open paraFoam in time step 5000 and check for p
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008194

tomc (reporter)

Adding Pmax and Pmin in fvSolution seems to slow down the convergence because for example the flame temperature after 5000 time steps is still different to the older calculation result of SandiaD (see attachments).

~0008195

henry (manager)

Thanks for the bug-report. The issue is with pressureControl when pressure limits are not specified rather than the configuration of the tutorial. I have fixed the code and testing now.

~0008196

henry (manager)

Resolved by commit 59bd9475168d038fd38ae043652fdf051b47b559
+Notes

-Issue History
Date Modified Username Field Change
2017-05-30 12:55 tomc New Issue
2017-05-30 15:15 tomc File Added: SandiaD_LTSwithPMaxMin.PNG
2017-05-30 15:15 tomc Note Added: 0008194
2017-05-30 15:15 tomc File Added: SandiaD_LTS.PNG
2017-05-30 15:51 henry Note Added: 0008195
2017-05-31 16:42 henry Assigned To => henry
2017-05-31 16:42 henry Status new => resolved
2017-05-31 16:42 henry Resolution open => fixed
2017-05-31 16:42 henry Note Added: 0008196
+Issue History